OTBGUI_TRAINOGRLAYERSCLASSIFIER(1)

NAME
otbgui_TrainOGRLayersClassifier - OTB TrainOGRLayersClassifier application

DESCRIPTION
This is the TrainOGRLayersClassifier application, version 5.2.0 Train a SVM classifier based on labeled geometries and a list of features to consider.

Complete documentation: http://www.orfeo-toolbox.org/Applications/TrainOGRLayersClassifier.html

  Parameters:

-progress <boolean>
    Report progress

 -inshp <string> Name of the input shapefile (mandatory)
 -instats <string> XML file containing mean and variance of each feature. (mandatory)
 -outsvm <string> Output model filename. (mandatory)

-feat
    <string list> List of features to consider for classification. (mandatory, default value is )

-cfield
    <string> Field containing the class id for supervision (mandatory, default value is class)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_TrainOGRLayersClassifier -inshp vectorData.shp -instats meanVar.xml -outsvm svmModel.svm -feat perimeter -cfield predicted

SEE ALSO
The full documentation for otbgui_TrainOGRLayersClassifier is maintained as a Texinfo manual. If the info and otbgui_TrainOGRLayersClassifier programs are properly installed at your site, the command

    info otbgui_TrainOGRLayersClassifier

should give you access to the complete manual.